oracle 12c数据库安装centos 7

0、查看Swap分区空间

Linux我们默认使用CentOS 7 x64,对应操作系统我们使用64位的Oracle 11g数据库

Oracle11g需要准备至少:2核CPU、2G内存、8GB的硬盘空间

查看cpu详细信息

lscpu

查看内存详细信息

free -h

free -g
备注:
单位:k m g

查看存储盘详细信息

lsblk

grep SwapTotal /proc/meminfo

1、关闭防火墙

# 关闭防火墙,下次启动时防火墙仍随系统启动而启动 
systemctl stop firewalld.service

# 彻底永久关闭防火墙
systemctl disable firewalld.service

# 查看防火墙状态
systemctl status firewalld.service

2、关闭selinux

关闭SELINUX防火墙,修改/etc/selinux/config配置文件,将“SELINUX=enforcing”改为“SELINUX=disabled”。

sed -i "s/SELINUX=enforcing/SELINUX=disabled/" /etc/selinux/config

setenforce 0

3、安装各类依赖

什么是Gcc

Linux系统下的Gcc(GNU C Compiler)是GNU推出的功能强大、性能优越的多平台编译器,是GNU的代表作品之一。gcc是可以在多种硬体平台上编译出可执行程序的超级编译器,其执行效率与一般的编译器相比平均效率要高20%~30%。

Gcc编译器能将C、C++语言源程序、汇程式化序和目标程序编译、连接成可执行文件,如果没有给出可执行文件的名字,gcc将生成一个名为a.out的文件。在Linux系统中,可执行文件没有统一的后缀,系统从文件的属性来区分可执行文件和不可执行文件。

上官网GCC官网,找到最新的released GCC点击进入,一步一步的查找,发现GCC隐藏的够深,有两个站点可以下载,一个是GCC mirror sites,一个是GCC svn server。我这里是从镜像站点下载,GCC 的下载地址见:GCC 下载

gcc离线安装包下载地址:https://ftp.gnu.org/gnu/gcc/

阿里:http://mirrors.aliyun.com/centos/7/os/x86_64/Packages/

官网:https://vault.centos.org/7.3.1611/os/x86_64/Packages/

下载GCC依赖的四个库: 点击下载:GMP库 或者GMP官网,对应GCC-6.1.0,我下载的是gmp-6.1.1.tar.bz2。 点击下载:MPFR库或者MPFR官网,我下载的是mpfr-3.1.4.tar.gz。 点击下载:MPC库或者MPC官网,我下载的是mpc-1.0.3.tar.gz。 点击下载:[ISL库](ftp://gcc.gnu.org/pub/gcc/infrastructure/ and download),我下载的是isl-0.16.tar.bz2。

关于依赖关系,MPFR依赖GMP,MPC依赖GMP和MPFR,GCC依赖上面四个库,所以推荐的编译安装顺序是:GMP->MPFR->MPC->ISL->GCC

yum -y install binutils* compat-libcap1* compat-libstdc++* gcc* gcc-c++* glibc* glibc-devel* ksh* libaio* libaio-devel* libgcc* libstdc++* libstdc++-devel* libXi* libXtst* make* sysstat* elfutils* unixODBC* unzip lrzsz

首先下载gcc-c++安装包,下载地址:gcc-c++

大家可选择自己对应的系统进行下载。 安装命令如下:

sudo rpm -ivh gcc-c++-6.1.1-3.fc24.x86_64.rpm

结果提示如下错误: gcc = 6.1.1-3.fc24 被 gcc-c++-6.1.1-3.fc24.x86_64 需要 libstdc++ = 6.1.1-3.fc24 被 gcc-c++-6.1.1-3.fc24.x86_64 需要 libstdc++-devel = 6.1.1-3.fc24 被 gcc-c++-6.1.1-3.fc24.x86_64 需要

原来gcc-c++的安装还需要依赖其它的软件包。于是我们下载对应版本的C++库,libstdc++libstdc++-devel。我下载的是libstdc++-6.1.1-3.fc24.x86_64.rpmlibstdc++-devel-6.1.1-3.fc24.x86_64.rpm

现在开始安装libstdc++。

sudo rpm -ivh libstdc++-6.1.1-3.fc24.x86_64.rpm

安装完libstdc++再安装libstdc++-devel。这里需要强制安装,不然会提示如下错误:

libstdc++(x86-64) = 6.1.1-3.fc24 被 libstdc++-devel-6.1.1-3.fc24.x86_64 

因为我们已经安装libstdc++,libstdc++-devel依赖libstdc++,但是rpm可能检测不到我们已经安装的libstdc++,所以只要确定我们已经成功安装libstdc++,就可以强制安装了。

sudo rpm -ivh --force --nodeps libstdc++-devel-6.1.1-3.fc24.x86_64.rpm

安装完libstdc++和libstdc++-devel之后,再强制安装gcc-g++。我们强制忽略gcc-g++依赖的gcc,因为我们不需要。我们需要安装的只是C++开发环境,即编译器g++和C++库。

sudo rpm -ivh --force --nodeps gcc-c++-6.1.1-3.fc24.x86_64.rpm

注意:

由于是无网环境,安装较为复杂,可以先不进行这一步,先安装oracle,之后缺依赖会报错的(gcc与g++),到时候缺啥补啥。我在安装过程中只安装了gcc就满足了所有需求(新安装的centos)。

下附离线的gcc安装包:


 
  • 0
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 打赏
    打赏
  • 0
    评论
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包

打赏作者

O波V步

你的鼓励将是我创作的最大动力

¥1 ¥2 ¥4 ¥6 ¥10 ¥20
扫码支付:¥1
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值